Package org.jfree.layouting.input.style.values

## Class CSSValueList

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSValueList

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `CSSValue`

      public final class CSSValueList
      extends java.lang.Object
      implements CSSValue, java.lang.Cloneable

  Creation-Date: 23.11.2005, 12:37:21
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSValueList​(java.util.Collection collection)` |
    `CSSValueList​(CSSValue[] values)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `boolean` | `contains​(CSSValue value)` |
    `static CSSValueList` | `createDuoList​(CSSValue value)` |
    `static CSSValueList` | `createDuoList​(CSSValue first, CSSValue second)` |
    `static CSSValueList` | `createList​(CSSValue value)` |
    `static CSSValueList` | `createQuadList​(CSSValue value)` |
    `static CSSValueList` | `createQuadList​(CSSValue first, CSSValue second)` |
    `static CSSValueList` | `createQuadList​(CSSValue first, CSSValue second, CSSValue third, CSSValue fourth)` |
    `java.lang.String` | `getCSSText​()` |
    `CSSValue` | `getItem​(int index)` |
    `int` | `getLength​()` |
    `static CSSValueList` | `insertFirst​(CSSValueList list, CSSValue value)` |
    `static CSSValueList` | `insertLast​(CSSValueList list, CSSValue value)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSValueList

          public CSSValueList​(java.util.Collection collection)

    - #### CSSValueList

          public CSSValueList​(CSSValue[] values)

  - ### Method Detail

    - #### getLength

          public int getLength​()

    - #### getItem

          public CSSValue getItem​(int index)

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### contains

          public boolean contains​(CSSValue value)

    - #### createList

          public static CSSValueList createList​(CSSValue value)

    - #### createDuoList

          public static CSSValueList createDuoList​(CSSValue value)

    - #### createDuoList

          public static CSSValueList createDuoList​(CSSValue first,
                                                   CSSValue second)

    - #### createQuadList

          public static CSSValueList createQuadList​(CSSValue value)

    - #### createQuadList

          public static CSSValueList createQuadList​(CSSValue first,
                                                    CSSValue second)

    - #### createQuadList

          public static CSSValueList createQuadList​(CSSValue first,
                                                    CSSValue second,
                                                    CSSValue third,
                                                    CSSValue fourth)

    - #### insertFirst

          public static CSSValueList insertFirst​(CSSValueList list,
                                                 CSSValue value)

    - #### insertLast

          public static CSSValueList insertLast​(CSSValueList list,
                                                CSSValue value)

    - #### clone

          public java.lang.Object clone​()

      Overrides:
        `clone` in class `java.lang.Object`